Bug 874313 - Cannot add text to Test Scenario GIVEN Text Field
Cannot add text to Test Scenario GIVEN Text Field
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity medium
: CR1
: BRMS 5.3.1 GA
Assigned To: Toni Rikkola
Sona Mala
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-07 16:34 EST by Andrew Collins
Modified: 2013-10-10 20:06 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Repository with test scenario (25.70 KB, text/xml)
2012-11-08 12:21 EST, Sona Mala
no flags Details

  None (edit)
Description Andrew Collins 2012-11-07 16:34:20 EST
Description of problem:
In the Test Scenario editor, when editing the value of a text field of an inserted fact, input into the text box is blocked from [a-zA-Z] input until a digit or any symbol is entered.  Once a symbol/digit is entered in the text field, any character can be inserted into the text box, and the first character can be deleted.

When the cursor is in the 0th position of the text field, even if there is already text in the box, no upper/lowercase letter can be entered.

Version-Release number of selected component (if applicable):
5.3.1.BRMS-ER3

How reproducible:
Always

Steps to Reproduce:
1. Create/Ensure a Fact Type exists with a field of type "String", which will now be referred to as factType.
2. Create new Test Scenario in same package as factType.
3. Insert a factType called 'f' into the Test Scenario.
4. "Add a field" -> Add field with type "String".
5. Enter text into text field.
6. Observe that first character entered is not allowed to be any letter.
  
Actual results:
In order to type text into this field, any symbol/digit must be entered, followed by any text, then the first symbol/digit can be deleted.

Expected results:
Text should be allowed to be entered into this text field without the above workaround.


Additional info:
Comment 1 Sona Mala 2012-11-08 12:15:46 EST
I analyzed that this problem has occured in 5.3.1 ER2,ER3,ER4. It works in 5.3.1 ER1 and 5.3.0 GA.

I think that it catches any [a-zA-Z] character even if the digits are written before letters. (May be I am wrong). 

Workaround is Copy&Paste but not Ctrl+C and Ctrl+V (it does not work). You must use mouse (right click) and select Paste.

This is really uncomfortable for user. Specially when we have supported it.

I will attached repository with model and testscenario.
Comment 2 Sona Mala 2012-11-08 12:21:54 EST
Created attachment 640948 [details]
Repository with test scenario

Open test scenario and type any text into (for example: 'abcdABCD123' ; for workaround: copy this text and paste it into input field)
Comment 3 Toni Rikkola 2012-11-12 09:05:08 EST
I have a fix for this. It was a small change. Each field was treated as a numeric field. I'll wait for a blocker+ before I commit.
Comment 4 Rajesh Rajasekaran 2012-11-14 11:04:21 EST
It was agreed to pick this bug fix up as this would lead to a broken feature. Please set dev_ack and commit the fix.
Comment 6 Toni Rikkola 2012-11-21 04:12:34 EST
Commit done. Looks like the bot reset the flags. Should I revert my changes?
Comment 7 Lukáš Petrovický 2012-11-21 08:18:19 EST
Commited, changing to MODIFIED.
Comment 8 Sona Mala 2012-12-05 07:55:43 EST
Verified for JBoss EAP 6.0, BRMS 5.3.1 CR1:

There is possible to write any characters into a field which type is String.

There is not possible to write [a-zA-Z] characters into a field which types are Number, BigDecimal.

Note You need to log in before you can comment on or make changes to this bug.